Subject: FW: minor editorial comments on draft-ietf-forces-framework-05.txt

From: "Yang, Lily L" <[email-masked]>
Date: Wed, 11 Jun 2003 16:29:50 -0700

Thanks again, Randy. 
All these shall be fixed in the next version. I expect to send v06 out very soon. Meanwhile, if anybody has had a chance to review v05, please do send me your comments so that I can incorporate them into v06. 

Lily

-----Original Message-----
From: Randy Presuhn [mailto:[email-masked]]
Sent: Wednesday, June 11, 2003 1:11 PM
To: Yang, Lily L; [email-masked]; Anderson, Todd A; [email-masked]
Cc: [email-masked]; Putzolu, David
Subject: minor editorial comments on draft-ietf-forces-framework-05.txt

Hi -

Here are a few minor editorial comments on
draft-ietf-forces-framework-05.txt; feel free
to forward these to the WG if you feel it necessary.
I didn't do a close reading / review; this is just stuff
that jumped out at me.

All footers: "et. al." -> "et al." ("et" is not an abbreviation)

Cover page: copyright should be updated to 2003, and year would not
normally be in parenthesis.

Page 3: RFC 2119 is absent from the normative references.
None of the key words is used (although "MUST" appears in
one quote), so I'm left wondering why this is even here.

Section 1:
first paragraph: the grammatical referent for "the ones" would
be "requirements", which is clearly not the intent.  Suggest
replacing "the ones that are" with "the definitions"

Forgive me if I find the definition of "addressable entity" as
"an entity that is directly addressable" to be a bit circular.  :-)
Most of the definitions suffer from the same problem.

The term "blade" should probably be defined if it's not intended
to be understood as a synonym for PFE, particularly since it's
important to understanding section 2.

"; and on" -> "; on" (the semicolon takes the place of the conjunction)

"ASICs": acronyms / abbreviations should be expanded on first use

"a NE" -> "an NE" (multiple times)
"a FE" -> "an FE" (multiple times)

ForCES Post-Association Phase Protocol: "or" -> "nor"

Section 2:
"NAT" acronym should be expanded on first use

"flexibility to" -> "flexibility for"

"In such chassis configuration" -> "In such a chassis configuration"

"blade B is the backup" -> "blade B might be the backup"

"use proprietary interface" -> "use a proprietary interface" or
possibly "use proprietary interfaces"

"such proprietary interface" -> "such proprietary interfaces"

"use different interconnect" -> "use different interconnects"

"is that CE-to-FE interconnect does" -> "is that the CE-to-FE interconnect does"

"saved for FE-to-FE only" -> "saved for FE-to-FE"

"functions in FE include" -> "functions in the FE include"

"Figure 3 shows a diagram with examples" ->
"Figure 3 provides examples"

Section 3.2: "FE is a logical entity" -> "An FE is a logical entity"

"that FEs can focus its resource" -> "that FEs can focus their resources"

"of with which FEs its CEs should communicate" ->
"of which FEs its CEs should communicate with"

Section 3.4: "to which CE any particular FE should initially communicate" ->
"which CE any particular FE should initially communicate with" or, to
use really stilted English, "with which CE..."  Same problem in next sentence.
"independent" -> "independently"

Section 4.1.1: "may or may not" -> "may"  (and elsewhere)

Section 4.1.3: "Figure 7 shows example of message exchange over
Fc reference point."  ???  That's not what figure 7 shows.
Figure 8 is probably what's intended.

Section 5, first sentence: the quote is grammatically broken.
Replacing "All" with "Any" would be one way to fix the original.

Section 5.3: "Timestamp option" -> "The timestamp option"
"FE must interpret" -> "The FE must interpret"

Section 5.4: "Upon receiving IP packets, FE" ->
"Upon receiving IP packets, the FE"
"Routing decision is made" -> "The routing decision is made"
"Otherwise, FE determines" -> "Otherwise, the FE determines"
"FE also determines" -> "The FE also determines"
"Sometimes FE may" -> "Sometimes an FE may"
etc., etc., etc.

Section 8: (Please see reference format in
http://www.ietf.org/internet-drafts/draft-rfc-editor-rfc2223bis-05.txt)
"F. Baker" -> "Baker, F."
"RFC1812" -> "RFC 1812"
"S. Floyd" -> "Floyd, S."
"RFC2914" -> "RFC 2914"
"H. Khosravi" -> "Khosravi. H."

Section 9:
"J. Case" -> "Case, J."
"RFC1157" -> "RFC 1157"  (It looks like this should be
replaced with a current reference)

"M. Daniele" -> "Daniele, M."
"RFC2741" -> "RFC 2741"
"Jan" -> "January"
"K. Chan" -> "Chan, K."
"RFC3084" -> "RFC 3084"
"A. Crouch" -> "Crouch, A."
"T. Anderson, J. Buerkle" -> "Anderson, T., and J. Buerkle"
"RFC3532" -> "RFC 3532"
"M. Leelanivas" -> "Leelanivas, M."
"Feb." -> "February"
"J. Moy" -> "Moy, J."
"S. R. Sangli" -> "Sangli, S."
"Jan 203" -> "January 2003"
"M. Shand and L. Ginsberg" -> "Shand, M. and L. Ginsberg"
"T. Dierks and C. Allen" -> "Dierks, T. and C. Allen"
"RFC2246" -> "RFC 2246"
"Jan." -> "January"
"S. Kent and R. Atkinson" -> "Kent, S. and R. Atkinson"
"RFC2401" -> "RFC 2401"
"Nov." -> "November"
"D. Harkins and D. Carrel" -> "Harkins, D. and D. Carrel"
"RFC2409" -> "RFC 2409"
"Nov." -> "November"
"S. M. Bellovin" -> "Bellovin, S."
"Oct." -> "October"

Section 10: title should probably be "Acknowledgements"

Section 11: some of the authors lack countries; entries are
inconsistant in use of state names or US two-letter state codes.

Section 12: RFC 2026 section 10 provides the boilerplate for this section.

Section 13: "2002" -> "2003"
Superfluous trailing '"' on page 34
Page 34's footer is in the middle of the page.

Randy